portdbc(8)

NAME

portdbc - Command line tool client for CRUX's portdb

SYNOPSIS
portdbc <command> [arg]

DESCRIPTION
portdbc is a command line tool which provides an easy way to query the CRUX's portdb (https://crux.nu/portdb) without the need of use a web browser for that. It is written in C and uses libcurl(3) for obtaining the desired information and after that parses them by using libxml(3) to show you the output result. One of the advantages of this tool is that it can be combinated with shell functions, I/O operations, command filters, etc. to exactly find what you are looking for.

COMMANDS

portdbc repos
    Overview of all available repositories

portdbc dups
    List of duplicated ports

portdbc search <word>
    Show port names containing word

portdbc list <repo>
    Show ports in repository

portdbc getup <repo>
    Print httpup/rsync file for a repository

SEE ALSO
ports(8), libcurl(3), libxml(3)

AUTHOR
Jose V Beneyto <sepen@crux.nu>